#include <stdio.h>
#include <stdlib.h>

/*
  Write a version of itoa that accepts three arguments instead of two. The third argument is a minimum field width; the converted number must be padded with blanks on the left if necessary to make it wide enough.
 */
void reverse(char *s)
{
  int i, j;
  char c;
  i = 0;
  j = strlen(s) - 1;
  for(; i < j; ++i, --j){
    c = s[i];
    s[i] = s[j];
    s[j] = c;
  }
}
  
void itoa(int n, char *s, int width)
{
  int i;
  int sign = n;
  i = 0;
  do{
    s[i++] = abs(n % 10) + '0';
  }while(n /= 10);
  if(sign < 0)
    s[i++] = '-';
  while(i < width)
    s[i++] = ' ';
  s[i] = '\0';
  reverse(s);
}
int main(int argc, char *argv[])
{
  
  return 0;
}
