#include <stdio.h>
#include <string.h>
/*
  Write a program to compare two files, printing the first line where they differ.
 */
#define MAXLINE 1000
int main(int argc, char *argv[])
{
  FILE *fa, *fb;
  char line_a[MAXLINE], line_b[MAXLINE];
  char *pa, *pb;
  char *name_a, *name_b;
  int i;

  name_a = NULL;
  fa = NULL;
  name_b = "stdin";
  fb = stdin;
  for(i = 1; i < argc; ++i){
    name_a = name_b;
    fa = fb;

    name_b = argv[i];
    fb = fopen(name_b, "r");
    if(fb == NULL){
      fprintf(stderr, "%s: can't open %s\n", argv[0], name_b);
      return 1;
    }
  }
  if(fa == NULL){
    fprintf(stderr, "%s: can't open %s\n", argv[0], name_b);
    return 1;
  }

  while(1){
    pa = fgets(line_a, MAXLINE, fa);
    pb = fgets(line_b, MAXLINE, fb);
    if (pa == NULL && pb == NULL) {
      break;
    } else if (pa == NULL) {
      fprintf(stderr, "%s: EOF on %s\n", argv[0], name_a);
      break;
    } else if (pb == NULL) {
      fprintf(stderr, "%s: EOF on %s\n", argv[0], name_b);
      break;
    } else if (strcmp(line_a, line_b) != 0) {
      printf("%s", line_a);
      printf("%s", line_b);
      break;
    }
  }

  return 0;
}
